Package org.eclipse.birt.chart.computation

# Class GObjectFactory

java.lang.Object
org.eclipse.birt.chart.computation.GObjectFactory

All Implemented Interfaces:
  `IGObjectFactory`

public class GObjectFactory extends Object implements IGObjectFactory

## Constructor Summary

Constructors
Constructor
Description
`GObjectFactory()`

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`adjusteBounds(Bounds bo, Insets ins)`
`ColorDefinition`
`BLACK()`
`ColorDefinition`
`brighter(ColorDefinition src)`
`Label`
`copyCompactLabel(Label src)`
`Marker`
`copyMarkerNoFill(Marker src)`
`ActionValue`
`copyOf(ActionValue src)`
`Bounds`
`copyOf(Bounds src)`
`ColorDefinition`
`copyOf(ColorDefinition src)`
`Fill`
`copyOf(Fill src)`
`FontDefinition`
`copyOf(FontDefinition src)`
`Gradient`
`copyOf(Gradient src)`
`Image`
`copyOf(Image src)`
`Insets`
`copyOf(Insets src)`
`LineAttributes`
`copyOf(LineAttributes src)`
`Text`
`copyOf(Text src)`
`TextAlignment`
`copyOf(TextAlignment src)`
`Label`
`copyOf(Label src)`
`Action`
`copyOf(Action src)`
`Trigger`
`copyOf(Trigger src)`
`Action`
`createAction(ActionType at, ActionValue av)`
`Bounds`
`createBounds(double dLeft, double dTop, double dWidth, double dHeight)`
`ColorDefinition`
`createColorDefinition(int iRed, int iGreen, int iBlue)`
`ColorDefinition`
`createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)`
`FontDefinition`
`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
`Gradient`
`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
`Image`
`createImage(String sUrl)`
`Insets`
`createInsets(double dTop, double dLeft, double dBottom, double dRight)`
`Label`
`createLabel()`
`LineAttributes`
`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`Location`
`createLocation(double dX, double dY)`
`Location3D`
`createLocation3D(double x, double y, double z)`
`Location3D[]`
`createLocation3Ds(double[] xa, double[] ya, double[] za)`
`Location[]`
`createLocations(double[] xa, double[] ya)`
`ScriptValue`
`createScriptValue(String script)`
`SeriesValue`
`createSeriesValue(String name)`
`Text`
`createText(String sValue)`
`TextAlignment`
`createTextAlignment()`
`TooltipValue`
`createTooltipValue(int iDelay, String sText)`
`TooltipValue`
`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`
`Trigger`
`createTrigger(TriggerCondition tc, Action a)`
`URLValue`
`createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`
`ColorDefinition`
`darker(ColorDefinition src)`
`ColorDefinition`
`GREY()`
`static void`
`initInstance(IGObjectFactory tFactory)`
`static IGObjectFactory`
`instance()`
`Insets`
`max(Insets ins1, Insets ins2)`
`ColorDefinition`
`RED()`
`Bounds`
`scaleBounds(Bounds bo, double dScale)`
`Insets`
`scaleInsets(Insets ins, double dScale)`
`Bounds`
`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
`ColorDefinition`
`translucent(ColorDefinition src)`
`ColorDefinition`
`TRANSPARENT()`
`ColorDefinition`
`WHITE()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GObjectFactory

public GObjectFactory()

## Method Details

### instance

public static IGObjectFactory instance()

### initInstance

public static void initInstance(IGObjectFactory tFactory)

### createLocation

public Location createLocation(double dX, double dY)

Specified by:
  `createLocation` in interface `IGObjectFactory`

### createLocations

public Location[] createLocations(double[] xa, double[] ya)

Specified by:
  `createLocations` in interface `IGObjectFactory`

### createLocation3D

public Location3D createLocation3D(double x, double y, double z)

Specified by:
  `createLocation3D` in interface `IGObjectFactory`

### createLocation3Ds

public Location3D[] createLocation3Ds(double[] xa, double[] ya, double[] za)

Specified by:
  `createLocation3Ds` in interface `IGObjectFactory`

### createColorDefinition

public ColorDefinition createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)

Specified by:
  `createColorDefinition` in interface `IGObjectFactory`

### createColorDefinition

public ColorDefinition createColorDefinition(int iRed, int iGreen, int iBlue)

Specified by:
  `createColorDefinition` in interface `IGObjectFactory`

### createLineAttributes

public LineAttributes createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)

Specified by:
  `createLineAttributes` in interface `IGObjectFactory`

### createTextAlignment

public TextAlignment createTextAlignment()

Specified by:
  `createTextAlignment` in interface `IGObjectFactory`

### createText

public Text createText(String sValue)

Specified by:
  `createText` in interface `IGObjectFactory`

### createInsets

public Insets createInsets(double dTop, double dLeft, double dBottom, double dRight)

Specified by:
  `createInsets` in interface `IGObjectFactory`

### copyOf

public Label copyOf(Label src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyCompactLabel

public Label copyCompactLabel(Label src)

Specified by:
  `copyCompactLabel` in interface `IGObjectFactory`

### createLabel

public Label createLabel()

Specified by:
  `createLabel` in interface `IGObjectFactory`

### BLACK

public ColorDefinition BLACK()

Specified by:
  `BLACK` in interface `IGObjectFactory`

### TRANSPARENT

public ColorDefinition TRANSPARENT()

Specified by:
  `TRANSPARENT` in interface `IGObjectFactory`

### GREY

public ColorDefinition GREY()

Specified by:
  `GREY` in interface `IGObjectFactory`

### createGradient

public Gradient createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)

Specified by:
  `createGradient` in interface `IGObjectFactory`

### copyOf

public ColorDefinition copyOf(ColorDefinition src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Fill copyOf(Fill src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Gradient copyOf(Gradient src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### createFontDefinition

public FontDefinition createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)

Specified by:
  `createFontDefinition` in interface `IGObjectFactory`

### copyOf

public Text copyOf(Text src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public FontDefinition copyOf(FontDefinition src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Insets copyOf(Insets src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public LineAttributes copyOf(LineAttributes src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Bounds copyOf(Bounds src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Image copyOf(Image src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### createGradient

public Gradient createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)

Specified by:
  `createGradient` in interface `IGObjectFactory`

### createImage

public Image createImage(String sUrl)

Specified by:
  `createImage` in interface `IGObjectFactory`

### WHITE

public ColorDefinition WHITE()

Specified by:
  `WHITE` in interface `IGObjectFactory`

### RED

public ColorDefinition RED()

Specified by:
  `RED` in interface `IGObjectFactory`

### brighter

public ColorDefinition brighter(ColorDefinition src)

Specified by:
  `brighter` in interface `IGObjectFactory`

### darker

public ColorDefinition darker(ColorDefinition src)

Specified by:
  `darker` in interface `IGObjectFactory`

### translucent

public ColorDefinition translucent(ColorDefinition src)

Specified by:
  `translucent` in interface `IGObjectFactory`

### createBounds

public Bounds createBounds(double dLeft, double dTop, double dWidth, double dHeight)

Specified by:
  `createBounds` in interface `IGObjectFactory`

### adjusteBounds

public Bounds adjusteBounds(Bounds bo, Insets ins)

Specified by:
  `adjusteBounds` in interface `IGObjectFactory`

### scaleBounds

public Bounds scaleBounds(Bounds bo, double dScale)

Specified by:
  `scaleBounds` in interface `IGObjectFactory`

### translateBounds

public Bounds translateBounds(Bounds bo, double dTranslateX, double dTranslateY)

Specified by:
  `translateBounds` in interface `IGObjectFactory`

### scaleInsets

public Insets scaleInsets(Insets ins, double dScale)

Specified by:
  `scaleInsets` in interface `IGObjectFactory`

### max

public Insets max(Insets ins1, Insets ins2)

Specified by:
  `max` in interface `IGObjectFactory`

### copyOf

public TextAlignment copyOf(TextAlignment src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Trigger copyOf(Trigger src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### createTrigger

public Trigger createTrigger(TriggerCondition tc, Action a)

Specified by:
  `createTrigger` in interface `IGObjectFactory`

### copyMarkerNoFill

public Marker copyMarkerNoFill(Marker src)

Specified by:
  `copyMarkerNoFill` in interface `IGObjectFactory`

### copyOf

public ActionValue copyOf(ActionValue src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### copyOf

public Action copyOf(Action src)

Specified by:
  `copyOf` in interface `IGObjectFactory`

### createAction

public Action createAction(ActionType at, ActionValue av)

Specified by:
  `createAction` in interface `IGObjectFactory`

### createScriptValue

public ScriptValue createScriptValue(String script)

Specified by:
  `createScriptValue` in interface `IGObjectFactory`

### createSeriesValue

public SeriesValue createSeriesValue(String name)

Specified by:
  `createSeriesValue` in interface `IGObjectFactory`

### createTooltipValue

public TooltipValue createTooltipValue(int iDelay, String sText)

Specified by:
  `createTooltipValue` in interface `IGObjectFactory`

### createTooltipValue

public TooltipValue createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)

Specified by:
  `createTooltipValue` in interface `IGObjectFactory`

### createURLValue

public URLValue createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)

Specified by:
  `createURLValue` in interface `IGObjectFactory`